com.microfocus.awm.meta.interfaces

## Interface ISAPlugIn

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ISAPlugInImpl

      public interface ISAPlugIn
      extends AWMObject

  ISA_Plug-In is a complex attribute that can be modeled for a tool descriptor if the tool to be attached is an Eclipse plug-in that implements the specific interface (IToolExecutor).

  The following features are supported:

  - `Description`
  - `Plug In ID`
  - `Title`
  See Also:
    `TaurusPackage.getISAPlugIn()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the value of the 'Description' attribute.
    `java.lang.String` | `getPlugInID()` Returns the value of the 'Plug In ID' attribute.
    `java.lang.String` | `getTitle()` Returns the value of the 'Title' attribute.
    `void` | `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute.
    `void` | `setPlugInID(java.lang.String value)` Sets the value of the '`Plug In ID`' attribute.
    `void` | `setTitle(java.lang.String value)` Sets the value of the '`Title`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDescription

          java.lang.String getDescription()

      Returns the value of the 'Description' attribute.
      A description of the plug-in or instructions to the user.
      Returns:
        the value of the 'Description' attribute.
      See Also:
        `setDescription(String)`, `TaurusPackage.getISAPlugIn_Description()`

    - #### setDescription

          void setDescription(java.lang.String value)

      Sets the value of the '`Description`' attribute.
      Parameters:
        `value` - the new value of the 'Description' attribute.
      See Also:
        `getDescription()`

    - #### getPlugInID

          java.lang.String getPlugInID()

      Returns the value of the 'Plug In ID' attribute.
      The ID of the Eclipse plug-in.
      Returns:
        the value of the 'Plug In ID' attribute.
      See Also:
        `setPlugInID(String)`, `TaurusPackage.getISAPlugIn_PlugInID()`

    - #### setPlugInID

          void setPlugInID(java.lang.String value)

      Sets the value of the '`Plug In ID`' attribute.
      Parameters:
        `value` - the new value of the 'Plug In ID' attribute.
      See Also:
        `getPlugInID()`

    - #### getTitle

          java.lang.String getTitle()

      Returns the value of the 'Title' attribute.
      The title or name of the plug-in.
      Returns:
        the value of the 'Title' attribute.
      See Also:
        `setTitle(String)`, `TaurusPackage.getISAPlugIn_Title()`

    - #### setTitle

          void setTitle(java.lang.String value)

      Sets the value of the '`Title`' attribute.
      Parameters:
        `value` - the new value of the 'Title' attribute.
      See Also:
        `getTitle()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.